### Hierarchy

- Audio

## Index

### Constructors

- constructor

### Properties

- audioFlags
- cachedMusicFile

### Methods

- hasSoundFinished
- playMusic
- playSound
- playSoundAt
- playSoundFromEntity
- playSoundFrontEnd
- releaseSound
- setAudioFlag
- stopMusic
- stopSound

## Constructors

### constructor

- new Audio(): Audio

- #### Returns Audio

## Properties

### Static Private Readonly audioFlags

audioFlags: string[] = ...

- Defined in Audio.ts:66

### Static Protected cachedMusicFile

cachedMusicFile: string

- Defined in Audio.ts:64

## Methods

### Static hasSoundFinished

- hasSoundFinished(soundId: number): boolean

- - Defined in Audio.ts:29

  #### Parameters

  - ##### soundId: number

  #### Returns boolean

### Static playMusic

- playMusic(musicFile: string): void

- - Defined in Audio.ts:45

  #### Parameters

  - ##### musicFile: string

  #### Returns void

### Static playSound

- playSound(soundFile: string, soundSet: string): void

- - Defined in Audio.ts:41

  #### Parameters

  - ##### soundFile: string

  - ##### soundSet: string

  #### Returns void

### Static playSoundAt

- playSoundAt(position: Vector3, sound: string, set?: string): number

- - Defined in Audio.ts:6

  #### Parameters

  - ##### position: Vector3

  - ##### sound: string

  - ##### Optional set: string

  #### Returns number

### Static playSoundFromEntity

- playSoundFromEntity(entity: Entity, sound: string, set?: string): number

- - Defined in Audio.ts:11

  #### Parameters

  - ##### entity: Entity

  - ##### sound: string

  - ##### Optional set: string

  #### Returns number

### Static playSoundFrontEnd

- playSoundFrontEnd(sound: string, set?: string): number

- - Defined in Audio.ts:16

  #### Parameters

  - ##### sound: string

  - ##### Optional set: string

  #### Returns number

### Static releaseSound

- releaseSound(soundId: number): void

- - Defined in Audio.ts:25

  #### Parameters

  - ##### soundId: number

  #### Returns void

### Static setAudioFlag

- setAudioFlag(flag: string | AudioFlag, toggle: boolean): void

- - Defined in Audio.ts:33

  #### Parameters

  - ##### flag: string | AudioFlag

  - ##### toggle: boolean

  #### Returns void

### Static stopMusic

- stopMusic(musicFile?: string): void

- - Defined in Audio.ts:53

  #### Parameters

  - ##### Optional musicFile: string

  #### Returns void

### Static stopSound

- stopSound(soundId: number): void

- - Defined in Audio.ts:21

  #### Parameters

  - ##### soundId: number

  #### Returns void

Generated using TypeDoc